%global python3_pkgversion 3.11
%global pypi_name django-ansible-base
%global pypi_version 2025.1.3
%global srcname django_ansible_base

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist} 
Summary:        Reserved package

License:        Apache-2.0
URL:            https://pypi.org/project/django-ansible-base/
Source:         %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools >= 64
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 8
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
Django-ansible-base is exactly what it says it is. A base for any Ansible application which will leverage Django.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-django >= 4.2.16
Requires:       python%{python3_pkgversion}-django < 4.3.0
Requires:       python%{python3_pkgversion}-django-crum
Requires:       python%{python3_pkgversion}-djangorestframework
Requires:       python%{python3_pkgversion}-django_split_settings
Requires:       python%{python3_pkgversion}-inflection
Requires:       python%{python3_pkgversion}-cryptography
Requires:       python%{python3_pkgversion}-sqlparse >= 0.5.2


%description -n python%{python3_pkgversion}-%{pypi_name} %_description

%pyproject_extras_subpkg -n python%{python3_pkgversion}-%{pypi_name} rest_filters,jwt_consumer

%prep
%autosetup -p1 -n %{srcname}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{python3_sitelib}/ansible_base
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info

%changelog
* Mon Mar 03 2025 Carlos Heiras <carlos.heiras@oracle.com> - 2025.1.3-2
- Add runtime dependencies

* Wed Jan 22 2025 Carlos Heiras <carlos.heiras@oracle.com> - 2025.1.3-1
- OLAM-659 Initial release
